[Debian-med-packaging] Bug#665217: ensembl: fails to install: tries to enable mod_perl unconditionally

Andreas Beckmann debian at abeckmann.de
Thu Mar 22 16:33:45 UTC 2012

Package: ensembl
Version: 63-1
Severity: serious
User: debian-qa at lists.debian.org
Usertags: piuparts


during a test with piuparts I noticed your package failed to install. As
per definition of the release team this makes the package too buggy for
a release, thus the severity.

>From the attached log (scroll to the bottom...):

  Selecting previously unselected package ensembl.
  (Reading database ... 15057 files and directories currently installed.)
  Unpacking ensembl (from .../archives/ensembl_63-1_all.deb) ...
  Setting up ensembl (63-1) ...
  Preparing a series of directories.
  Creating directory '/var/log/ensembl'.
  Creating directory '/var/cache/ensembl/img-cache'.
  Creating directory '/var/tmp/ensembl/img-tmp'.
  Creating directory '/var/tmp/ensembl/tmp'.
  Enabling Apache modules.
  ERROR: Module perl does not exist!
  dpkg: error processing ensembl (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:

ensembl only Recommends: libapache2-mod-perl2 but does not check whether
this module is actually available before enabling it.


-------------- next part --------------
A non-text attachment was scrubbed...
Name: ensembl_63-1.log.gz
Type: application/x-gzip
Size: 9115 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/debian-med-packaging/attachments/20120322/7ebc6676/attachment.bin>

More information about the Debian-med-packaging mailing list